Unofficial OpenGL Software Development Kit: glimg::ImageFormat Class Reference

Unofficial OpenGL Software Development Kit 0.5.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
List of all members | Public Member Functions
glimg::ImageFormat Class Reference
Image Format

`#include <ImageFormat.h>`

##

An immutable combination of image format parameters.

The image format object will throw if the given format parameters are impossible or inconsistent. The rules for format validation are available.

These objects are immutable once created.

## Public Member Functions

| ImageFormat (PixelDataType _eType, PixelComponents _eFormat, ComponentOrder _eOrder, Bitdepth _eBitdepth, int _lineAlignment)
| Constructs an image format from individual image data. More...
| ImageFormat (UncheckedImageFormat _fmt)
| Implicitly constructs an ImageFormat from an UncheckedImageFormat. More...
UncheckedImageFormat | GetUncheckedFormat () const
| Retrieves the contents as an UncheckedImageFormat.
size_t | AlignByteCount (size_t byteCount) const
| Computes the aligned byte count from the line alignment.
Accessors
PixelDataType | Type () const
PixelComponents | Components () const
ComponentOrder | Order () const
Bitdepth | Depth () const
int | LineAlign () const

## Constructor & Destructor Documentation

glimg::ImageFormat::ImageFormat | ( | PixelDataType | _eType,
|  | PixelComponents | _eFormat,
|  | ComponentOrder | _eOrder,
|  | Bitdepth | _eBitdepth,
|  | int | _lineAlignment
| ) |  |

Constructs an image format from individual image data.

Exceptions

  InvalidFormatException | If the combinations of parameters is not valid. The exception will have a string explaining the problem.

glimg::ImageFormat::ImageFormat | ( | UncheckedImageFormat | _fmt | ) |

Implicitly constructs an ImageFormat from an UncheckedImageFormat.

Exceptions

  InvalidFormatException | If _fmt does not contain valid data. The exception will have a string explaining the problem.

The documentation for this class was generated from the following file:

- C:/Projects/distro/glsdk_0_5_1/glimg/include/glimg/ImageFormat.h